package projectzombie.model;

import gl_engine.matrix.Matrix4;
import gl_engine.texture.TextureRef3D;

public interface IModel
{
	public int[] getIndicies();
	public float[] getVerticies();
	public TextureRef3D[] getTextures();
	public TextureRef3D getRandomChunk(int[] tex_id);
	public double getWidth();
	public double getHeight();
	public int getIndexSize();
	public int getSize();
	
	public void bind();
	public void render();
	public void free();
	public void setModel(Matrix4 model);
	public boolean isLoaded();
}
